% img = im2bw(img, graythresh(img));

img = zeros(201, 201);
img(101, 101) = 1;
figure,imshow(img);
img = ~img;

imgDist = -bwdist(~img,'euclidean'); % euclidean
figure, imshow(imgDist, [])

imgDist = -bwdist(~img,'cityblock'); % cityblock
figure, imshow(imgDist, [])

imgDist = -bwdist(~img,'chessboard'); % chessboard
figure, imshow(imgDist, [])